import 'dart:html';

import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:queuedisplay/app/route.dart';

import 'app/constant.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  Constant.setBaseUrl(window.location.host);
  runApp(const ProviderScope(child: MyApp()));
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'Display Counter',
        debugShowCheckedModeBanner: false,
        theme: ThemeData(primarySwatch: Colors.red, fontFamily: "Poppins"),
        // initialRoute: layananDokterRoute,
        // initialRoute: customerServiceRoute,
        initialRoute: settingRoute,
        // initialRoute: customerServiceDedicatedRoute,
        onGenerateRoute: AppRoute.generateRoute);
  }
}
